# H245_RedundancyEncoding_rtpRedundancyEncoding Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RedundancyEncoding_rtpRedundancyEncoding:

List of all members.

## Public Types

enum | OptionalFields { e_primary, e_secondary }

## Public Member Functions

| H245_RedundancyEncoding_rtpRedundancyEncoding (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_RedundancyEncodingElement | m_primary
H245_ArrayOf_RedundancyEncodingElement | m_secondary

## Member Enumeration Documentation

enum H245_RedundancyEncoding_rtpRedundancyEncoding::OptionalFields

Enumerator:

  e_primary |
  e_secondary |

## Constructor & Destructor Documentation

H245_RedundancyEncoding_rtpRedundancyEncoding::H245_RedundancyEncoding_rtpRedundancyEncoding | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RedundancyEncoding_rtpRedundancyEncoding::GetDataLength | ( |  | ) | const

PBoolean H245_RedundancyEncoding_rtpRedundancyEncoding::Decode | ( | PASN_Stream & | strm | ) |

void H245_RedundancyEncoding_rtpRedundancyEncoding::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RedundancyEncoding_rtpRedundancyEncoding::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RedundancyEncoding_rtpRedundancyEncoding::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RedundancyEncoding_rtpRedundancyEncoding::Clone | ( |  | ) | const

## Member Data Documentation

H245_RedundancyEncodingElement H245_RedundancyEncoding_rtpRedundancyEncoding::m_primary

H245_ArrayOf_RedundancyEncodingElement H245_RedundancyEncoding_rtpRedundancyEncoding::m_secondary

The documentation for this class was generated from the following file:

- h245.h